--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...

function NS:LoadSettingsHUD(reset)
	local FauxMazzle = {
		["BackgroundAlpha"] = 0.7,
		["FontPath"] = "Interface\\Addons\\FauxMazzleHUD\\Fonts\\",
		["Scale"] = 0.7,
		["HideAtMaxHealth"] = true,
		["Alpha"] = 0.8,
		["Units"] = {
			["target"] = {
				["bg"] = {
					["hb"] = {
						["osx"] = 125,
						["point"] = "CENTER",
						["flip"] = true,
						["w"] = 128,
						["osy"] = 0,
						["h"] = 256,
						["texcoord"] = {
							1, -- [1]
							0, -- [2]
							0, -- [3]
							1, -- [4]
						},
						["texture"] = "hb",
						["alpha"] = 0.7,
						["colour"] = {
							["r"] = 0.361,
							["g"] = 0.361,
							["b"] = 0.447,
						},
					},
					["pb"] = {
						["osx"] = -17,
						["point"] = "BOTTOM",
						["flip"] = true,
						["w"] = 128,
						["ch"] = 140,
						["osy"] = 38,
						["h"] = 256,
						["texcoord"] = {
							1, -- [1]
							0, -- [2]
							0.453125, -- [3]
							1, -- [4]
						},
						["texture"] = "pb",
						["alpha"] = 0.7,
						["colour"] = {
							["r"] = 0.361,
							["g"] = 0.361,
							["b"] = 0.447,
						},
					},
				},
				["fg"] = {
					["hb"] = {
						["osx"] = 0,
						["point"] = "BOTTOM",
						["flip"] = true,
						["w"] = 128,
						["osy"] = 0,
						["h"] = 256,
						["texcoord"] = {
							1, -- [1]
							0, -- [2]
							0, -- [3]
							1, -- [4]
						},
						["texture"] = "hb",
						["font"] = {
							["y"] = 37,
							["font"] = "DUF_Font1.ttf",
							["point"] = "TOPLEFT",
							["colour"] = {
								["r"] = 1,
								["g"] = 1,
								["b"] = 1,
							},
							["justify"] = "LEFT",
							["topoint"] = "BOTTOMLEFT",
							["x"] = 38,
							["size"] = 16,
						},
						["tapped"] = {
							["r"] = 1,
							["g"] = 1,
							["b"] = 1,
						},
						["alpha"] = 0.8,
						["colour"] = {
							["r"] = 1,
							["g"] = 0,
							["b"] = 1,
						},
					},
					["pb"] = {
						["osx"] = -17,
						["point"] = "BOTTOM",
						["flip"] = true,
						["w"] = 128,
						["ch"] = 140,
						["osy"] = 38,
						["h"] = 256,
						["texcoord"] = {
							1, -- [1]
							0, -- [2]
							0.453125, -- [3]
							1, -- [4]
						},
						["texture"] = "pb",
						["font"] = {
							["y"] = 5,
							["font"] = "DUF_Font1.ttf",
							["point"] = "BOTTOMRIGHT",
							["colour"] = {
								["r"] = 1,
								["g"] = 1,
								["b"] = 1,
							},
							["justify"] = "RIGHT",
							["topoint"] = "BOTTOM",
							["x"] = 0,
							["size"] = 16,
						},
						["alpha"] = 0.8,
						["colour"] = {
							["r"] = 1,
							["g"] = 1,
							["b"] = 1,
						},
					},
				},
			},
			["player"] = {
				["bg"] = {
					["alt"] = {
						["osx"] = -18.5,
						["point"] = "BOTTOM",
						["w"] = 32,
						["ch"] = 74,
						["osy"] = 74,
						["h"] = 128,
						["texcoord"] = {
							0, -- [1]
							1, -- [2]
							0, -- [3]
							0.421875, -- [4]
						},
						["petcolour"] = {
							["r"] = 0.361,
							["g"] = 0.361,
							["b"] = 0.447,
						},
						["texture"] = "alt",
						["alpha"] = 0.7,
						["colour"] = {
							["r"] = 0.361,
							["g"] = 0.361,
							["b"] = 0.447,
						},
					},
					["pb"] = {
						["osx"] = 17,
						["point"] = "BOTTOM",
						["w"] = 128,
						["ch"] = 140,
						["osy"] = 38,
						["h"] = 256,
						["texcoord"] = {
							0, -- [1]
							1, -- [2]
							0.453125, -- [3]
							1, -- [4]
						},
						["texture"] = "pb",
						["alttexture"] = "pbalt",
						["colour"] = {
							["r"] = 0.361,
							["g"] = 0.361,
							["b"] = 0.447,
						},
					},
					["hb"] = {
						["osy"] = 0,
						["h"] = 256,
						["texcoord"] = {
							0, -- [1]
							1, -- [2]
							0, -- [3]
							1, -- [4]
						},
						["texture"] = "hb",
						["osx"] = -125,
						["point"] = "CENTER",
						["w"] = 128,
						["colour"] = {
							["r"] = 0.361,
							["g"] = 0.361,
							["b"] = 0.447,
						},
					},
				},
				["fg"] = {
					["alt"] = {
						["osx"] = -18.5,
						["point"] = "BOTTOM",
						["w"] = 32,
						["ch"] = 74,
						["osy"] = 74,
						["h"] = 128,
						["texcoord"] = {
							0, -- [1]
							1, -- [2]
							0, -- [3]
							0.421875, -- [4]
						},
						["petcolour"] = {
							["r"] = 1,
							["g"] = 1,
							["b"] = 1,
						},
						["texture"] = "alt",
						["font"] = {
							["y"] = 0,
							["font"] = "DUF_Font1.ttf",
							["point"] = "LEFT",
							["colour"] = {
								["r"] = 1,
								["g"] = 1,
								["b"] = 1,
							},
							["justify"] = "LEFT",
							["topoint"] = "CENTER",
							["x"] = 0,
							["size"] = 16,
						},
						["alpha"] = 0.8,
						["colour"] = {
							["r"] = 1,
							["g"] = 1,
							["b"] = 1,
						},
					},
					["pb"] = {
						["osx"] = 17,
						["point"] = "BOTTOM",
						["w"] = 128,
						["ch"] = 140,
						["osy"] = 38,
						["h"] = 256,
						["texcoord"] = {
							0, -- [1]
							1, -- [2]
							0.453125, -- [3]
							1, -- [4]
						},
						["texture"] = "pb",
						["font"] = {
							["y"] = 5,
							["font"] = "DUF_Font1.ttf",
							["point"] = "BOTTOMLEFT",
							["colour"] = {
								["r"] = 1,
								["g"] = 1,
								["b"] = 1,
							},
							["justify"] = "LEFT",
							["topoint"] = "BOTTOM",
							["x"] = 0,
							["size"] = 16,
						},
						["alttexture"] = "pbalt",
						["colour"] = {
							["r"] = 1,
							["g"] = 1,
							["b"] = 1,
						},
					},
					["hb"] = {
						["osx"] = 0,
						["point"] = "BOTTOM",
						["w"] = 128,
						["osy"] = 0,
						["font"] = {
							["y"] = 37,
							["font"] = "DUF_Font1.ttf",
							["point"] = "TOPRIGHT",
							["colour"] = {
								["r"] = 1,
								["g"] = 1,
								["b"] = 1,
							},
							["justify"] = "RIGHT",
							["topoint"] = "BOTTOMRIGHT",
							["x"] = -38,
							["size"] = 16,
						},
						["texcoord"] = {
							0, -- [1]
							1, -- [2]
							0, -- [3]
							1, -- [4]
						},
						["texture"] = "hb",
						["h"] = 256,
						["colour"] = {
							["r"] = 1,
							["g"] = 0,
							["b"] = 0,
						},
					},
				},
			},
		},
		["BackgroundAlphaOOC"] = 0.2,
		["HideForFriendlies"] = true,
		["AlphaOOC"] = 0.3,
		["Range"] = {
			["ShowForFriendlies"] = false,
			["font"] = {
				["y"] = 160,
				["font"] = "DUF_Font1.ttf",
				["point"] = "CENTER",
				["colour"] = {
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				["justify"] = "CENTER",
				["topoint"] = "CENTER",
				["x"] = 0,
				["size"] = 17,
			},
		},
		["PowerAsPercent"] = true,
		["UpdateSpeed"] = 0.125,
		["TexturePath"] = "Interface\\Addons\\FauxMazzleHUD\\Textures\\",
		["HealthAsPercent"] = true,
	}
	return FauxMazzle
end